Skip to main content
POST
/
v3
/
api
/
compliance
/
vasps
/
{vasp-id}
Update VASP
curl --request POST \
  --url https://api.custody.api-zodia.io/v3/api/compliance/vasps/{vasp-id} \
  --header 'Content-Type: application/json' \
  --header 'X-Signature: <api-key>' \
  --header 'submitter-id: <submitter-id>' \
  --data '
{
  "vaspName": "ZODIA Vasp",
  "travelRuleMethod": "MANUAL",
  "vaspCountry": "UK",
  "description": "This VASP will be used by Zodia clients in UK",
  "restrictedCompany": [
    "<string>"
  ],
  "hasMultipleAddress": true,
  "tenants": [
    "<string>"
  ]
}
'
{
  "timestamp": "2021-10-27T14:30:13.912Z",
  "title": "Method Not Allowed",
  "status": 415,
  "details": [
    {
      "message": "Available methods : GET,POST",
      "code": "ER-204"
    }
  ]
}

Authorizations

X-Signature
string
header
required

Headers

submitter-id
string
required

Email of API user submitting the request

Example:

"api-maker@zodia.io"

Path Parameters

vasp-id
string
required

ID of the VASP to be updated

Body

application/json
vaspName
string
required

The name of the VASP

Example:

"ZODIA Vasp"

travelRuleMethod
enum<string>
required

This value shows the supported travel rule.

Available options:
MANUAL,
TRUST,
ZODIA,
UNHOSTED
vaspCountry
string

The country of the VASP

Example:

"UK"

description
string

The description of the VASP

Example:

"This VASP will be used by Zodia clients in UK"

restrictedCompany
string[]

This will contain the list of companies allowed to use the VASP. If the value is empty or null, The VASP will be accessible to all companies under the tenants.

hasMultipleAddress
boolean

This shows if a VASP can have multiple address

tenants
string[]

This will contain the list of tenants where the VASP will be available.

Response

OK